PageInformation
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Get detailed project page information
Returns the full project page data (including language, category, story, ai usage and buttons)
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
projectId*integer
The project ID
Query Parameters
storyId?integer
Optional story ID
categoryId?integer
Optional category ID
languageId?integer
Optional language ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/page-information/project/76?storyId=1&categoryId=1&languageId=1"{ "project": { "id": 24, "name": "Main Project" }, "category": { "id": 2, "name": "Marketing" }, "language": { "id": 1, "lang": "en", "name": "English", "dir": "ltr" }, "story": { "id": 5, "name": "Intro" }, "projectType": { "id": 7, "name": "Mobile App", "languageId": 1, "lang": "en" }, "aiUsage": { "aiLanguages": [ "en", "fr" ], "defaultLanguage": "en", "balance": 4.7, "total": 9 }, "buttons": [ "ProjectCategoryCreateButton", "ProjectSourceCreateButton", "ProjectSendToButton" ]}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}